# format-time

Formats a time value

format-time($value as xs:time?, $picture as xs:string) → xs:string?

Arguments
| $value | xs:time? | The xs:time value to be formatted
| $picture | xs:string | Picture showing how the time should be displayed
Result | xs:string?

format-time($value as xs:time?, $picture as xs:string, $language as xs:string?, $calendar as xs:string?, $place as xs:string?) → xs:string?

Arguments
| $value | xs:time? | The xs:time value to be formatted
| $picture | xs:string | Picture showing how the time should be displayed
| $language | xs:string? | The language for the output
| $calendar | xs:string? | The calendar for the output
| $place | xs:string? | The country or Olsen timezone where the event took place
Result | xs:string?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

See

Next